org.apache.commons.io.input

## Class RandomAccessFileInputStream.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<RandomAccessFileInputStream,RandomAccessFileInputStream.Builder>
      - - org.apache.commons.io.input.RandomAccessFileInputStream.Builder

- All Implemented Interfaces:
    IOSupplier<RandomAccessFileInputStream>
  Enclosing class:
    RandomAccessFileInputStream

      public static class RandomAccessFileInputStream.Builder
      extends AbstractStreamBuilder<RandomAccessFileInputStream,RandomAccessFileInputStream.Builder>

  Builds a new `RandomAccessFileInputStream` instance.

  For example:

       RandomAccessFileInputStream s = RandomAccessFileInputStream.builder()
         .setPath(path)
         .setCloseOnClose(true)
         .get();

  Since:
    2.12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RandomAccessFileInputStream` | `get()` Constructs a new instance.
    `RandomAccessFileInputStream.Builder` | `setCloseOnClose(boolean closeOnClose)` Sets whether to close the underlying file when this stream is closed.
    `RandomAccessFileInputStream.Builder` | `setRandomAccessFile(RandomAccessFile randomAccessFile)` Sets the RandomAccessFile to stream.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeDefault, setCharset, setCharset, setCharsetDefault, setOpenOptions`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### get

          public RandomAccessFileInputStream get()
                                          throws IOException

      Constructs a new instance.

      This builder use the aspects RandomAccessFile or File, and closeOnClose. Only set one of RandomAccessFile or an origin that can be converted to a File.

      If RandomAccessFile is not set, then you must provide an origin that can be converted to a File by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

      Returns:
        a new instance.
      Throws:
        `IllegalStateException` - if both RandomAccessFile and origin are set.
        `UnsupportedOperationException` - if the origin cannot provide a File.
        `IOException` - if an I/O error occurs.
      See Also:
        `AbstractOrigin.getFile()`

    - #### setCloseOnClose

          public RandomAccessFileInputStream.Builder setCloseOnClose(boolean closeOnClose)

      Sets whether to close the underlying file when this stream is closed.
      Parameters:
        `closeOnClose` - Whether to close the underlying file when this stream is closed.
      Returns:
        this

    - #### setRandomAccessFile

          public RandomAccessFileInputStream.Builder setRandomAccessFile(RandomAccessFile randomAccessFile)

      Sets the RandomAccessFile to stream.
      Parameters:
        `randomAccessFile` - the RandomAccessFile to stream.
      Returns:
        this

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.